IMAPConfig (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.IMAPConfig interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface IMAPConfig

All Superinterfaces:
  LogicalElement, LotusConfig, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IMAPConfig

extends LotusConfig

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.app.lotus.LotusConfig
`getAdditionalFields, getAnonymous, getAuthenticationOptions, getClientCertificate, getEnforceServerAccessSettings, getNameAndPassword, getParent, getPort, getPortStatus, getSSLAnonymous, getSSLAuthenticationOptions, getSSLNameAndPassword, getSSLPortNumber, getSSLPortStatus, getType, hasAdditionalFields, hasAnonymous, hasAuthenticationOptions, hasClientCertificate, hasEnforceServerAccessSettings, hasNameAndPassword, hasParent, hasPort, hasPortStatus, hasSSLAnonymous, hasSSLAuthenticationOptions, hasSSLNameAndPassword, hasSSLPortNumber, hasSSLPortStatus, hasType, setAdditionalFields, setAnonymous, setAuthenticationOptions, setClientCertificate, setEnforceServerAccessSettings, setNameAndPassword, setParent, setPort, setPortStatus, setSSLAnonymous, setSSLAuthenticationOptions, setSSLNameAndPassword, setSSLPortNumber, setSSLPortStatus, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD